CorrugatedIron - incorrect version of protobuf-net?

Bond, Dave A D.A.Bond at hw.ac.uk
Sun Jun 22 03:50:04 EDT 2014


Thanks for the rapid response, OJ.  That's fixed my problem!

Cheers,

Dave

________________________________
From: OJ Reeves [oj at buffered.io]
Sent: 22 June 2014 02:53
To: Bond, Dave A; riak-users at lists.basho.com
Subject: Re: CorrugatedIron - incorrect version of protobuf-net?

Your error message shows that CI expects a a minimum version of 2.0.0.640 for protobuf and you’re using version 2.0.0.602.

The short answer is to update protobuf-net to a version greater than or equal to the required one. See here: http://www.nuget.org/packages/protobuf-net/ it’s up to version 2.0.0.668. Get latest on this library and it should be fine.

The reason there’s a minimum version number specified is to make sure that CI doesn’t break with out of date libs. We’d rather have compiler errors than runtime errors or data corruption issues.

Cheers.
OJ

--
OJ Reeves | @TheColonial<https://twitter.com/TheColonial> | +61 431 952 586 | http://buffered.io/
PGP 4096R/1FAA5749 | 4EAE 350E 13FE 7584 FFC8  B97D 49EE E751 1FAA 5749


On 21 June 2014 at 23:50:56, Bond, Dave A (d.a.bond at hw.ac.uk<mailto:d.a.bond at hw.ac.uk>) wrote:

Hello, everyone.

Pay attention, there's lots of version numbers below :-)

Riak: 1.4.8-0-g7545390
Hosting OS:  CentOS 6.5
IDE:  Monodevelop 4.2.3
CorrugatedIron:  1.4.2 (obtained through the Monodevelop Nuget plugin)

I've written a very simple C# console program to test CorrugatedIron -> Riak connectivity but when I try to build it I get an error message indicating that the version of protobuf-net being referenced by CorrugatedIron (2.0.0.640) is higher than the version that was imported with  CorrugatedIron (2.0.0.602).  Has anyone else come across this problem?  Any ideas how to fix it?

Full error message:  Error CS1705: Assembly `CorrugatedIron, Version=1.4.2.0, Culture=neutral, PublicKeyToken=fb1ec7de601674df' references `protobuf-net, Version=2.0.0.640, Culture=neutral, PublicKeyToken=257b51d87d2e4d67' which has a higher version number than imported assembly `protobuf-net, Version=2.0.0.602, Culture=neutral, PublicKeyToken=257b51d87d2e4d67' (CS1705) (CI_Riak_test)

Sorry if this is a noob question but I'm still finding my way with a) CentOS, b) Riak, c) Monodevelop, d) C# ... so I need all the help I can get!

Cheers,

Dave

________________________________

Sunday Times Scottish University of the Year 2011-2013
Top in the UK for student experience
Fourth university in the UK and top in Scotland (National Student Survey 2012)

We invite research leaders and ambitious early career researchers to join us in leading and driving research in key inter-disciplinary themes. Please see www.hw.ac.uk/researchleaders for further information and how to apply.

Heriot-Watt University is a Scottish charity registered under charity number SC000278.
_______________________________________________
riak-users mailing list
riak-users at lists.basho.com
http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com


----- 
Sunday Times Scottish University of the Year 2011-2013
Top in the UK for student experience
Fourth university in the UK and top in Scotland (National Student Survey 2012)


We invite research leaders and ambitious early career researchers to 
join us in leading and driving research in key inter-disciplinary themes. 
Please see www.hw.ac.uk/researchleaders for further information and how
to apply.

Heriot-Watt University is a Scottish charity
registered under charity number SC000278.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.basho.com/pipermail/riak-users_lists.basho.com/attachments/20140622/43e669b6/attachment.html>


More information about the riak-users mailing list